package sgc.portal.cw.cw0101.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0101.dto.CW01010001USearch;
import sgc.portal.cw.cw0101.model.CW01010001U;
import sgc.portal.cw.cw0201.model.CW02010001U;

import java.util.List;

@Mapper
public interface CW01010001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW01010001USearch search);

    int insert(CW01010001U cW01010001U);

    int update(CW01010001U cW01010001U);

    int delete(CW01010001U cW01010001U);
    
    int approve(CW01010001U cW01010001U);
}
